org.eclipse.wst.jsdt.chromium.debug.core.model

## Class ChromiumBreakpointAdapter

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.ChromiumBreakpointAdapter

    public class ChromiumBreakpointAdapter
    extends java.lang.Object

Implements breakpoint adapter for breakpoints provided by org.eclipse.wst.jsdt.chromium.debug.* and org.eclipse.wst.jsdt.debug.*

### Constructor Summary

Constructors
Constructor and Description
`ChromiumBreakpointAdapter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ChromiumLineBreakpoint` `tryCastBreakpoint(IBreakpoint breakpoint)` The method was updated for org.eclipse.wst.jsdt.debug.* breakpoint support.
`static ChromiumLineBreakpoint` `tryCastBreakpointOnAddition(IBreakpoint breakpoint)` The method was created for org.eclipse.wst.jsdt.debug.* breakpoint support.
`static ChromiumLineBreakpoint` `tryCastBreakpointOnRemoval(IBreakpoint breakpoint)` The method was created for org.eclipse.wst.jsdt.debug.* breakpoint support.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChromiumBreakpointAdapter

    public ChromiumBreakpointAdapter()

### Method Detail

#### tryCastBreakpoint

    public static ChromiumLineBreakpoint tryCastBreakpoint(IBreakpoint breakpoint)

The method was updated for org.eclipse.wst.jsdt.debug.* breakpoint support. For `ChromiumLineBreakpoint` it works just as it used to - casts `IBreakpoint` to `ChromiumLineBreakpoint`. For `JavaScriptBreakpoint` - retrieves `ChromiumLineBreakpoint` from the storage

Throws:
  `java.lang.NullPointerException` - if `JavaScriptBreakpoint` is null
See Also:
  `#tryCastBreakpointOnAddition tryCastBreakpointOnAddition}`, `https://bugs.eclipse.org/bugs/show_bug.cgi?id=486061`

#### tryCastBreakpointOnAddition

    public static ChromiumLineBreakpoint tryCastBreakpointOnAddition(IBreakpoint breakpoint)

The method was created for org.eclipse.wst.jsdt.debug.* breakpoint support. On `JavaScriptBreakpoint` creation new `ChromiumLineBreakpoint` would be created and added to the storage.

Throws:
  `java.lang.NullPointerException` - if `JavaScriptBreakpoint` is null
See Also:
  `https://bugs.eclipse.org/bugs/show_bug.cgi?id=486061`

#### tryCastBreakpointOnRemoval

    public static ChromiumLineBreakpoint tryCastBreakpointOnRemoval(IBreakpoint breakpoint)

The method was created for org.eclipse.wst.jsdt.debug.* breakpoint support. On `JavaScriptBreakpoint` removal `ChromiumLineBreakpoint` would be removed from the storage.

Throws:
  `java.lang.NullPointerException` - if `JavaScriptBreakpoint` is null
See Also:
  `https://bugs.eclipse.org/bugs/show_bug.cgi?id=486061`